%define ver 1.0
%define release %mkrel 5
%define distsuffix plf

Summary: Offensive Cookies for the fortune program
Name: fortune-offensive
Version: %{ver}
Release: %{release}
License: BSD
Group: Toys
# Sources of the program
Source: ftp://sunsite.unc.edu/pub/Linux/games/amusements/fortune/fortune-mod-9708.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
Buildrequires: fortune-mod
Requires: fortune-mod

%description
This package includes the offensive cookies from the original
fortune-mod distribution, that couldn't be included in the official
Mandriva Linux distribution.
This package is in PLF, as the cookies might offend some people.

%prep
%setup -q -n fortune-mod-9708

%build
cd datfiles/off/unrotated
for datei in *;
do /usr/sbin/strfile $datei;
done

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/games/fortunes/off
install -m 644 datfiles/off/unrotated/* $RPM_BUILD_ROOT%{_datadir}/games/fortunes/off

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog TODO 
%{_datadir}/games/fortunes/off

%changelog
* Mon Jul 10 2006 Götz Waschk <goetz@zarb.org> 1.0-5plf
- Rebuild
- use mkrel

* Mon May 23 2005 Götz Waschk <goetz@zarb.org> 1.0-4plf
- Rebuild

* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 1.0-3plf
- fix description

* Sun Feb 17 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0-2plf
- rebuild for right vendor tag

* Fri Feb 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1plf
- initial package
